%define anolis_release 1
Summary: A version of the MIT Athena widget set for X
Name: Xaw3d
Version: 1.6.4
Release: %{anolis_release}%{?dist}
Group: System Environment/Libraries
Source: https://www.x.org/archive/individual/lib/libXaw3d-%{version}.tar.xz
Patch7: Xaw3d-1.6.1-3Dlabel.patch
Patch10: Xaw3d-1.6.1-fontset.patch
Patch11: Xaw3d-1.6.1-hsbar.patch

# src/laygram.{c,h} are licensed under GPLv3+
License: MIT and GPLv3+
URL: http://xorg.freedesktop.org/

BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xorg-macros) >= 1.8
BuildRequires: pkgconfig(xpm)
BuildRequires: make
BuildRequires: bison
BuildRequires: flex

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%package devel
Summary: Header files and libraries for development using Xaw3d
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and libraries for developing programs that take full
advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1 -n libXaw3d-%{version}

%build
%configure --disable-static \
  --enable-arrow-scrollbars \
  --enable-gray-stipples \
  --enable-multiplane-bitmaps
%make_build

%install
%make_install
rm -r $RPM_BUILD_ROOT%{_docdir}

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/*.so.*
%{abidir}/libXaw3d.dump

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/xaw3d.pc
%{_includedir}/X11/Xaw3d

%files doc
%doc ChangeLog README.md src/README.XAW3D

%changelog
* Wed Jan 11 2023 Funda Wang <fundawang@yeah.net> - 1.6.4-1
- Import package for anolis 23
